## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iKeyComposer Member List

This is the complete list of members for iKeyComposer, including all inherited members.

AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
HandleKey(const csKeyEventData &keyEventData, utf32_char *buf, size_t bufChars, int *resultChars=0)=0 | iKeyComposer | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
ResetState()=0 | iKeyComposer | `[pure virtual]`